Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Class SoftwareLoad.PostInstallAttributes

    java.lang.Object
      org.jini.rio.core.provision.SoftwareLoad.PostInstallAttributes

All Implemented Interfaces:
  Serializable

Enclosing class:
  SoftwareLoad

    public static class SoftwareLoad.PostInstallAttributes

extends Object
implements Serializable

The PostInstallAttributes defines attributes needed to run and optionally download a utility to configure the SoftwareLoad

See Also:
  Serialized Form

Constructor Summary
`SoftwareLoad.PostInstallAttributes(String executionTarget, SoftwareLoad.SoftwareDownloadAttributes postInstallDownload, boolean removeOnCompletion)` Create a PostInstallAttributes instance

Method Summary
`String` | `getExecutionTarget()` Get the execution target
`SoftwareLoad.SoftwareDownloadAttributes` | `getSoftwareDownloadAttributes()` Get the SoftwareDownloadAttributes for the post installer
`boolean` | `removeOnCompletion()` Get whether to remove the software after the execution target has completed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftwareLoad.PostInstallAttributes

    public SoftwareLoad.PostInstallAttributes(String executionTarget,
                                              SoftwareLoad.SoftwareDownloadAttributes postInstallDownload,
                                              boolean removeOnCompletion)

  Create a PostInstallAttributes instance

  Parameters:
    `executionTarget` - Specifies a utility that will be run to configure a downloaded SoftwareLoad. If the executionTarget ends with .jar, then the target will be invoked using the Java Virtual Machine as an executable JAR file, otherwise the executionTarget will be started as separate operating system process
    `postInstallDownload` - SoftwareDownloadAttributes instance defining attributes needed to download the post-install utility
    `removeOnCompletion` - Whether to remove the software when the executionTarget completes

Method Detail

### getExecutionTarget

    public String getExecutionTarget()

  Get the execution target

  Returns:
    A utility that will be run to configure a downloaded SoftwareLoad. If the executionTarget ends with .jar, then the target will be invoked using the Java Virtual Machine as an executable JAR file, otherwise the executionTarget will be started as separate operating system process

### getSoftwareDownloadAttributes

    public SoftwareLoad.SoftwareDownloadAttributes getSoftwareDownloadAttributes()

  Get the SoftwareDownloadAttributes for the post installer

  Returns:
    The SoftwareDownloadAttributes for the post install utility. If there is no SoftwareDownloadAttributes for the post-installer, this value will be null

### removeOnCompletion

    public boolean removeOnCompletion()

  Get whether to remove the software after the execution target has completed

  Returns:
    True if the post-install software should be removed after the execution target has completed, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.